Get Categories
GET
/v1/categories/{companyId}/{brandId}
const url = 'https://api.dev.caspeco.net/api/am/v1/categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.dev.caspeco.net/api/am/v1/categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Returns all categories
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyId
required
string format: uuid
brandId
required
string format: uuid
Responses
Section titled “Responses”Returns all categories
Array<object>
object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
Array<object>
object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
Examplegenerated
[ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "externalId": "example", "parentExternalId": "example" }]Array<object>
object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
Examplegenerated
[ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "externalId": "example", "parentExternalId": "example" }]Unauthorized
Forbidden
Internal Server Error